<template>
    <div class="input__wrapper">
      <textarea 
      class="responds__review"
      :placeholder="placeholder" 
      :name="name" 
      :type="type"
      :class="[customClass, {'input__error': !meta.valid && errorMessage}]"
      @input="inputHendler"  
      :value="modelValue"></textarea>
    </div>
  
    <!-- @input="emit('update:modelValue', $event.target.value)" and dell inputHender -->
    <span class="input__error-message">{{ errorMessage }}</span>
  </template>
  
  <script setup>
  
  import { useField } from 'vee-validate';
  import * as yup from 'yup';
  
  const emit = defineEmits(['update:modelValue']); 
  
  function inputHendler(value) {
    console.log(value.target.value)
   emit('update:modelValue', value.target.value)
  
  }
  
  const nameRef = toRef(props, 'name');
  const { 
    errorMessage, 
    value,
    handleChange, 
    handleBlur,
    meta,
   } = useField(nameRef, undefined, {
    initialValue: props.modelValue
  });
  
  
  
  
  const props = defineProps({
    placeholder: {
      type: String,
      default: "",
    },
    name: {
      type: String,
      default: "",
      required: true,
    },
    type: {
      type: String,
      default: "text",
    },
    modelValue: {
      type: String,
      default: "",
    },
    customClass: {
      type: String,
      default: "input",
    },
  });
  
  
  </script>